Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586476 - fstab-decode manpage bug
fstab-decode manpage bug
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: initscripts Maintenance Team
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 13:21 EDT by Kurt Keller
Modified: 2013-01-21 14:59 EST (History)
4 users (show)

See Also:
Fixed In Version: initscripts-9.03.6-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Keller 2010-04-27 13:21:31 EDT
Description of problem:
The example at the end of the fstab-decode manpage is incorrect; the awk command given is displayed without the double quotes and will not work.

Version-Release number of selected component (if applicable):
initscripts-9.03.4-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. man fstab-decode | col -b | grep awk
2.
3.
  
Actual results:
fstab-decode umount $(awk ’$3 == vfat { print $2 }’ /etc/fstab)

Expected results:
fstab-decode umount $(awk '$3 == "vfat" { print $2 }' /etc/fstab)


Additional info:

patch to fix:

--- fstab-decode.8      2010-02-15 13:45:50.000000000 -0500
+++ fstab-decode-new.8  2010-04-27 13:16:29.082087759 -0400
@@ -42,4 +42,5 @@
 
 .SH EXAMPLES
 
-.B fstab-decode umount $(awk '$3 == "vfat" { print $2 }' /etc/fstab)
+.B
+fstab-decode umount $(awk '$3 == "vfat" { print $2 }' /etc/fstab)
Comment 1 Bill Nottingham 2010-04-27 14:05:41 EDT
Fixed in git, will show up in a later build. Thanks!
Comment 4 RHEL Product and Program Management 2010-04-27 15:03:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Fedora Update System 2010-04-28 15:03:01 EDT
initscripts-9.02.2-1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/initscripts-9.02.2-1
Comment 6 Fedora Update System 2010-04-28 15:06:06 EDT
initscripts-9.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/initscripts-9.10-1.fc13
Comment 7 Fedora Update System 2010-05-04 19:53:46 EDT
initscripts-9.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-21 21:47:33 EDT
initscripts-9.02.2-1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 releng-rhel@redhat.com 2010-11-10 15:40:13 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.